SND_DMAENGINE_PCM_OP(9)

NAME
snd_dmaengine_pcm_open - Open a dmaengine based PCM substream

SYNOPSIS

int snd_dmaengine_pcm_open(struct snd_pcm_substream * substream, struct dma_chan * chan);

ARGUMENTS

substream
    PCM substream

chan
    DMA channel to use for data transfers

DESCRIPTION

Returns 0 on success, a negative error code otherwise.

The function should usually be called from the pcm open callback. Note that this function will use private_data field of the substream's runtime. So it is not availabe to your pcm driver implementation.

COPYRIGHT